%define KDEDATE 20000807
%define sourcedir stable/%{version}/distribution/tar/generic/source

Name: kdenonbeta
Summary: K Desktop Environment - pre-Beta components
Version: 1.92.%{KDEDATE}
Release: 2
Epoch: 6
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{KDEDATE}.tar.bz2
Group: Amusements/Graphics
BuildRoot: %{_tmppath}/%{name}-buildroot
Copyright: GPL
Requires: kdelibs2
BuildPrereq: kdelibs2-devel, kdelibs2-sound-devel
Obsoletes: caitoo kcmbind
Prefix: /usr/lib/kde2
ExcludeArch: ia64

%description
pre-Beta, but interesting, applications and add-ons for the K Desktop
Environment.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}
rm -rf dcopbindings ksciplot knetmon kcmthemes kglchess python # FIXME: broken for now
make -f Makefile.cvs

%build
export KDEDIR=%{prefix}
unset QTDIR || : ; . /etc/profile.d/qt.sh
if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure  \
	--prefix=%{prefix}
make -j $CPUS CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="-DNDEBUG" CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG"

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

echo "%docdir %{prefix}/doc/kde" >> $RPM_BUILD_ROOT/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Fri Aug 11 2000 Than Ngo <than@redhat.com>
- added BuildPrereq: kdelibs2

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new version

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Obsolete kcmbind and caitoo (used to be in powertools)
- SMPify

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Tue May  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
